ข้ามไปยังเนื้อหา

Fibo Edit [Structured Instruction]

ผสานการทำงาน

ID โมเดล bria/fibo-edit/edit/structured_instruction
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-edit/edit/structured_instruction?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: $0.01 10 เครดิต API · ≈ ₽1.05 เรียกใช้ในหน้านี้

รับคีย์ API
Bria AI LLM #structured-prompt-generation#fibo-edit#json

แปลงคำขอแก้ไขเป็นคำอธิบาย JSON แบบมีโครงสร้างโดยไม่สร้างภาพ

Bria AI · ข้อมูล (JSON)

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

ขั้นสูง instruction · image · mask · seed

คำสั่งที่อธิบายการแก้ไขรูปภาพ

image_url
วางไฟล์ หรือ

รูปภาพอ้างอิงที่ส่งเป็นไฟล์หรือ URL

mask_url
วางไฟล์ หรือ

มาสก์เสริมสำหรับรูปภาพอ้างอิง ส่งเป็นไฟล์หรือ URL

ค่าเริ่มต้น 5555

Seed ที่ควบคุมความสุ่มเพื่อให้ได้ผลลัพธ์ที่สร้างซ้ำได้

POST /run/bria/fibo-edit/edit/structured_instruction?wait=20 ใบเสนอราคา → $0.01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-edit/edit/structured_instruction?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Fibo Edit [Structured Instruction]

สร้างเฉพาะคำสั่งแบบมีโครงสร้างสำหรับการแก้ไข ไม่ใช่ภาพ อินพุตประกอบด้วย `image_url`, `mask_url`, `instruction` และ `seed` ที่เป็นตัวเลือก เอาต์พุต JSON ครอบคลุมฟิลด์ต่าง ๆ เช่น วัตถุ แสง สุนทรียศาสตร์ ฉากหลัง ลักษณะภาพถ่าย และข้อความที่ต้องเรนเดอร์

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
image_urlไม่บังคับ image
ประเภทurl · image
รูปภาพอ้างอิงที่ส่งเป็นไฟล์หรือ URL
mask_urlไม่บังคับ mask
ประเภทurl · image
มาสก์เสริมสำหรับรูปภาพอ้างอิง ส่งเป็นไฟล์หรือ URL
instructionไม่บังคับ
ประเภทstring | null
คำสั่งที่อธิบายการแก้ไขรูปภาพ
seedไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น5555
Seed ที่ควบคุมความสุ่มเพื่อให้ได้ผลลัพธ์ที่สร้างซ้ำได้
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/fibo-edit/edit/structured_instruction",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 10,
    "usd": "0.01",
    "charged": 10,
    "refunded": 0
  },
  "input": {},
  "output": {
    "short_description": "string",
    "objects": [
      {
        "description": "string",
        "location": "string",
        "relationship": "string",
        "relative_size": "string",
        "shape_and_color": "string",
        "texture": "string",
        "appearance_details": "string",
        "number_of_objects": 1,
        "pose": "string",
        "expression": "string",
        "clothing": "string",
        "action": "string",
        "gender": "string",
        "skin_tone_and_texture": "string",
        "orientation": "string"
      }
    ],
    "background_setting": "string",
    "lighting": {
      "conditions": "string",
      "direction": "string",
      "shadows": "string"
    },
    "aesthetics": {
      "composition": "string",
      "color_scheme": "string",
      "mood_atmosphere": "string",
      "preference_score": "string",
      "aesthetic_score": "string"
    },
    "photographic_characteristics": {
      "depth_of_field": "string",
      "focus": "string",
      "camera_angle": "string",
      "lens_focal_length": "string"
    },
    "style_medium": "string",
    "text_render": [],
    "context": "string",
    "artistic_style": "string",
    "edit_instruction": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
short_description
string | nullคำอธิบายสั้น ๆ ของรูปภาพเอาต์พุตที่ต้องการ
objects
array of object {description, location, relationship, relative_size, shape_and_color, texture, appearance_details, number_of_objects, pose, expression, clothing, action, gender, skin_tone_and_texture, orientation} | nullระบุเนื้อหาของรูปภาพที่สร้างเป็นรายการ โดยบันทึกคุณลักษณะของวัตถุแต่ละชิ้นและความสัมพันธ์กับวัตถุอื่นที่ปรากฏ
background_setting
string | nullฉากหลังสำหรับรูปภาพที่สร้าง
lighting
object {conditions, direction, shadows} | nullแสงสำหรับรูปภาพที่สร้าง
aesthetics
object {composition, color_scheme, mood_atmosphere, preference_score, aesthetic_score} | nullคุณภาพด้านสุนทรียะสำหรับรูปภาพที่สร้าง
photographic_characteristics
object {depth_of_field, focus, camera_angle, lens_focal_length} | nullคุณสมบัติด้านการถ่ายภาพสำหรับรูปภาพที่สร้าง
style_medium
string | nullสื่อเชิงสไตล์สำหรับรูปภาพที่สร้าง
text_render
array of any | nullรายการข้อความที่จะรวมไว้ในรูปภาพ
context
string | nullบริบทสำหรับรูปภาพที่สร้าง
artistic_style
string | nullสไตล์ศิลป์สำหรับรูปภาพที่สร้าง
edit_instruction
string | nullคำสั่งที่อธิบายวิธีแก้ไขรูปภาพ

โมเดลเพิ่มเติม: LLM

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/bria/fibo-edit/edit/structured_instruction.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt